Skip to main content
GET
/
v1
/
partner
/
customers
List customers
curl --request GET \
  --url https://api.test.doola.com/v1/partner/customers \
  --header 'Authorization: <api-key>'
{
  "payload": {
    "content": [
      {
        "doolaCustomerId": "<string>",
        "email": "founder@example.com",
        "firstName": "Ada",
        "lastName": "Lovelace",
        "customerTenantId": "<string>"
      }
    ],
    "page": 123,
    "size": 123,
    "total": 123,
    "totalPages": 123
  },
  "error": {}
}

Authorizations

Authorization
string
header
required

Partner API key. Send the raw key as the Authorization header value — e.g. dk_test_… in sandbox or dk_live_… in production. Generate and rotate keys in the doola Partner Portal.

Query Parameters

q
string

Free-text search over name and email.

page
integer<int32>
default:0

Zero-based page index.

size
integer<int32>
default:20

Page size (max 100).

Response

200 - */*

OK

payload
object
error
object